Index: Zend/tests/bug39018.phpt
===================================================================
RCS file: /repository/ZendEngine2/tests/bug39018.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 bug39018.phpt
--- Zend/tests/bug39018.phpt	11 Mar 2008 11:04:53 -0000	1.1.2.2
+++ Zend/tests/bug39018.phpt	29 May 2009 02:08:00 -0000
@@ -65,7 +65,7 @@
 
 Notice: Uninitialized string offset: 0 in %s on line 12
 
-Notice: Uninitialized string offset: -%d in %s on line 16
+Notice: Uninitialized string offset: %i in %s on line 16
 
 Notice: Uninitialized string offset: 4 in %s on line 28
 
Index: Zend/tests/int_overflow_64bit.phpt
===================================================================
RCS file: /repository/ZendEngine2/tests/int_overflow_64bit.phpt,v
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1.2.1 int_overflow_64bit.phpt
--- Zend/tests/int_overflow_64bit.phpt	24 Dec 2007 18:09:50 -0000	1.1.2.1.2.1
+++ Zend/tests/int_overflow_64bit.phpt	19 May 2009 00:44:00 -0000
@@ -22,12 +22,12 @@
 
 echo "Done\n";
 ?>
---EXPECTF--
-int(9223372036854775807)
-int(9223372036854775807)
-int(9223372036854775807)
+--EXPECT--
 int(9223372036854775807)
 int(-9223372036854775808)
 int(-9223372036854775808)
+int(0)
+int(-9223372036854775808)
+int(-9223372036854775808)
 int(-9223372036854775808)
 Done
Index: Zend/tests/int_underflow_32bit.phpt
===================================================================
RCS file: /repository/ZendEngine2/tests/int_underflow_32bit.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 int_underflow_32bit.phpt
--- Zend/tests/int_underflow_32bit.phpt	28 Sep 2006 11:44:05 -0000	1.1.2.1
+++ Zend/tests/int_underflow_32bit.phpt	19 May 2009 00:25:30 -0000
@@ -20,10 +20,10 @@
 
 echo "Done\n";
 ?>
---EXPECTF--	
-int(-2147483648)
-int(-2147483648)
-int(-2147483648)
-int(-2147483648)
+--EXPECT--
 int(-2147483648)
+int(2147483647)
+int(2147483638)
+int(2147483548)
+int(2147482648)
 Done
Index: ext/date/tests/date_sunrise_variation9.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/date_sunrise_variation9.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 date_sunrise_variation9.phpt
--- ext/date/tests/date_sunrise_variation9.phpt	10 Nov 2008 05:52:19 -0000	1.1.2.2
+++ ext/date/tests/date_sunrise_variation9.phpt	20 May 2009 16:22:00 -0000
@@ -36,12 +36,12 @@
 \*\*\* Testing date_sunrise\(\) : usage variation \*\*\*
 
 -- Testing date_sunrise\(\) function by passing float 12.3456789000e10 value to time --
-string\(5\) "(08:53|07:49)"
-float\((8.883[0-9]*|8.883[0-9]*|7.821[0-9]*)\)
-int\((-2147466915|123456811756)\)
+string\(5\) "(07:34|07:49)"
+float\((7.566[0-9]*|7.821[0-9]*)\)
+int\((-1097256359|123456811756)\)
 
 -- Testing date_sunrise\(\) function by passing float -12.3456789000e10 value to time --
-string\(5\) "(08:48|08:04)"
-float\((8.810[0-9]*|8.810[0-9]*|8.074[0-9]*)\)
-int\((-2147443882|-123456761731)\)
+string\(5\) "(07:42|08:48|08:04)"
+float\((7.713[0-9]*|8.810[0-9]*|8.074[0-9]*)\)
+int\((1097304168|-2147443882|-123456761731)\)
 ===DONE===
Index: ext/date/tests/date_sunset_variation9.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/date_sunset_variation9.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 date_sunset_variation9.phpt
--- ext/date/tests/date_sunset_variation9.phpt	10 Nov 2008 07:12:00 -0000	1.1.2.2
+++ ext/date/tests/date_sunset_variation9.phpt	20 May 2009 16:25:01 -0000
@@ -36,12 +36,12 @@
 \*\*\* Testing date_sunset\(\) : usage variation \*\*\*
 
 -- Testing date_sunset\(\) function by passing float 12.3456789000e10 value to time --
-string\(5\) "(18:40|19:28)"
-float\((18.6762[0-9]*|19.480[0-9]*)\)
-int\((-2147431662|123456853728)\)
+string\(5\) "(19:49|19:28)"
+float\((19.830[0-9]*|19.830[0-9]*|19.480[0-9]*)\)
+int\((-1097212211|123456853728)\)
 
 -- Testing date_sunset\(\) function by passing float -12.3456789000e10 value to time --
-string\(5\) "(18:12|18:48)"
-float\((18.213[0-9]*|18.808[0-9]*)\)
-int\((-2147410031|-123456723090)\)
+string\(5\) "(19:03|18:12|18:48)"
+float\((19.056[0-9]*|18.213[0-9]*|18.808[0-9]*)\)
+int\((1097345002|-2147410031|-123456723090)\)
 ===DONE===
Index: ext/date/tests/getdate_variation7.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/getdate_variation7.phpt,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 getdate_variation7.phpt
--- ext/date/tests/getdate_variation7.phpt	22 Jan 2009 18:47:20 -0000	1.1.4.2
+++ ext/date/tests/getdate_variation7.phpt	20 May 2009 16:40:00 -0000
@@ -27,52 +27,52 @@
 -- Testing getdate\(\) function by passing float 12.3456789000e10 value to timestamp --
 array\(11\) {
   \["seconds"\]=>
-  int\((7|0)\)
+  int\((36|0)\)
   \["minutes"\]=>
-  int\((44|0)\)
+  int\((43|0)\)
   \["hours"\]=>
-  int\((8|6)\)
+  int\((10|6)\)
   \["mday"\]=>
-  int\((19|11)\)
+  int\((26|11)\)
   \["wday"\]=>
   int\((2|6)\)
   \["mon"\]=>
-  int\((1|3)\)
+  int\(3\)
   \["year"\]=>
-  int\((2038|5882)\)
+  int\((1935|5882)\)
   \["yday"\]=>
-  int\((18|69)\)
+  int\((84|69)\)
   \["weekday"\]=>
   string\((7|8)\) "(Tuesday|Saturday)"
   \["month"\]=>
-  string\((7|5)\) "(January|March)"
+  string\(5\) "March"
   \[0\]=>
-  int\((2147483647|123456789000)\)
+  int\((-1097262584|123456789000)\)
 }
 
 -- Testing getdate\(\) function by passing float -12.3456789000e10 value to timestamp --
 array\(11\) {
   \["seconds"\]=>
-  int\((12|20)\)
+  int\((44|12|20)\)
   \["minutes"\]=>
   int\((39|23)\)
   \["hours"\]=>
-  int\((2|5)\)
+  int\((0|2|5)\)
   \["mday"\]=>
-  int\((14|23)\)
+  int\((9|14|23)\)
   \["wday"\]=>
   int\((6|-4)\)
   \["mon"\]=>
-  int\((12|10)\)
+  int\((10|12)\)
   \["year"\]=>
-  int\((1901|-1943)\)
+  int\((2004|1901|-1943)\)
   \["yday"\]=>
-  int\((347|295)\)
+  int\((282|347|295)\)
   \["weekday"\]=>
   string\((8|7)\) "(Saturday|Unknown)"
   \["month"\]=>
-  string\((8|7)\) "(December|October)"
+  string\((7|8)\) "(October|December)"
   \[0\]=>
-  int\((-2147483648|-123456789000)\)
+  int\((1097262584|-2147483648|-123456789000)\)
 }
 ===DONE===
Index: ext/date/tests/gmdate_variation14.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/gmdate_variation14.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 gmdate_variation14.phpt
--- ext/date/tests/gmdate_variation14.phpt	14 Nov 2008 09:16:00 -0000	1.1.2.2
+++ ext/date/tests/gmdate_variation14.phpt	20 May 2009 16:45:41 -0000
@@ -27,8 +27,8 @@
 \*\*\* Testing gmdate\(\) : usage variation \*\*\*
 
 -- Testing gmdate\(\) function with float 12.3456789000e10 to timestamp --
-string\((24|25)\) "(2038-01-19T03:14:07\+0000|5882-03-11T00:30:00\+0000)"
+string\((24|25)\) "(1935-03-26T04:50:16\+0000|5882-03-11T00:30:00\+0000)"
 
 -- Testing gmdate\(\) function with float -12.3456789000e10 to timestamp --
-string\((24|25)\) "(1901-12-13T20:45:52\+0000|-1943-10-22T23:30:00\+0000)"
+string\((24|25)\) "(2004-10-08T19:09:44\+0000|1901-12-13T20:45:52\+0000|-1943-10-22T23:30:00\+0000)"
 ===DONE===
\ No newline at end of file
Index: ext/date/tests/gmstrftime_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/gmstrftime_variation2.phpt,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 gmstrftime_variation2.phpt
--- ext/date/tests/gmstrftime_variation2.phpt	22 Jan 2009 18:47:20 -0000	1.1.4.2
+++ ext/date/tests/gmstrftime_variation2.phpt	19 May 2009 01:00:00 -0000
@@ -112,10 +112,10 @@
 string(20) "Dec 31 1969 23:59:50"
 
 --float 12.3456789000e10--
-string(20) "Jan 19 2038 03:14:07"
+string(20) "Mar 26 1935 04:50:16"
 
 --float -12.3456789000e10--
-string(20) "Dec 13 1901 20:45:52"
+string(20) "Oct 08 2004 19:09:44"
 
 --float .5--
 string(20) "Jan 01 1970 00:00:00"
Index: ext/date/tests/idate_variation3.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/idate_variation3.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 idate_variation3.phpt
--- ext/date/tests/idate_variation3.phpt	8 Dec 2008 10:48:22 -0000	1.1.2.2
+++ ext/date/tests/idate_variation3.phpt	20 May 2009 16:58:00 -0000
@@ -28,8 +28,8 @@
 \*\*\* Testing idate\(\) : usage variation \*\*\*
 
 -- Testing idate\(\) function with float 12.3456789000e10 to timestamp --
-int\((2038|5882)\)
+int\((1935|5882)\)
 
 -- Testing idate\(\) function with float -12.3456789000e10 to timestamp --
-int\((1901|-1943)\)
+int\((2004|1901|-1943)\)
 ===DONE===
Index: ext/date/tests/localtime_variation3.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/localtime_variation3.phpt,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 localtime_variation3.phpt
--- ext/date/tests/localtime_variation3.phpt	9 Jan 2009 05:09:40 -0000	1.1.4.2
+++ ext/date/tests/localtime_variation3.phpt	20 May 2009 17:02:21 -0000
@@ -33,41 +33,41 @@
 -- Testing localtime\(\) function with 'float 12.3456789000e10' to timestamp --
 array\(9\) {
   \[0\]=>
-  int\((7|0)\)
+  int\((16|0)\)
   \[1\]=>
-  int\((14|30)\)
+  int\((50|30)\)
   \[2\]=>
-  int\((3|0)\)
+  int\((4|0)\)
   \[3\]=>
-  int\((19|11)\)
+  int\((26|11)\)
   \[4\]=>
-  int\((0|2)\)
+  int\(2\)
   \[5\]=>
-  int\((138|3982)\)
+  int\((35|3982)\)
   \[6\]=>
   int\((2|6)\)
   \[7\]=>
-  int\((18|69)\)
+  int\((84|69)\)
   \[8\]=>
   int\(0\)
 }
 array\(9\) {
   \["tm_sec"\]=>
-  int\((7|0)\)
+  int\((16|0)\)
   \["tm_min"\]=>
-  int\((14|30)\)
+  int\((50|30)\)
   \["tm_hour"\]=>
-  int\((3|0)\)
+  int\((4|0)\)
   \["tm_mday"\]=>
-  int\((19|11)\)
+  int\((26|11)\)
   \["tm_mon"\]=>
-  int\((0|2)\)
+  int\(2\)
   \["tm_year"\]=>
-  int\((138|3982)\)
+  int\((35|3982)\)
   \["tm_wday"\]=>
   int\((2|6)\)
   \["tm_yday"\]=>
-  int\((18|69)\)
+  int\((84|69)\)
   \["tm_isdst"\]=>
   int\(0\)
 }
@@ -75,41 +75,41 @@
 -- Testing localtime\(\) function with 'float -12.3456789000e10' to timestamp --
 array\(9\) {
   \[0\]=>
-  int\((52|0)\)
+  int\((44|52|0)\)
   \[1\]=>
-  int\((45|30)\)
+  int\((9|45|30)\)
   \[2\]=>
-  int\((20|23)\)
+  int\((19|20|23)\)
   \[3\]=>
-  int\((13|22)\)
+  int\((8|13|22)\)
   \[4\]=>
-  int\((11|9)\)
+  int\((9|11)\)
   \[5\]=>
-  int\((1|-3843)\)
+  int\((104|1|-3843)\)
   \[6\]=>
   int\((5|-5)\)
   \[7\]=>
-  int\((346|294)\)
+  int\((281|346|294)\)
   \[8\]=>
   int\(0\)
 }
 array\(9\) {
   \["tm_sec"\]=>
-  int\((52|0)\)
+  int\((44|52|0)\)
   \["tm_min"\]=>
-  int\((45|30)\)
+  int\((9|45|30)\)
   \["tm_hour"\]=>
-  int\((20|23)\)
+  int\((19|20|23)\)
   \["tm_mday"\]=>
-  int\((13|22)\)
+  int\((8|13|22)\)
   \["tm_mon"\]=>
-  int\((11|9)\)
+  int\((9|11)\)
   \["tm_year"\]=>
-  int\((1|-3843)\)
+  int\((104|1|-3843)\)
   \["tm_wday"\]=>
   int\((5|-5)\)
   \["tm_yday"\]=>
-  int\((346|294)\)
+  int\((281|346|294)\)
   \["tm_isdst"\]=>
   int\(0\)
 }
Index: ext/date/tests/strftime_variation23.phpt
===================================================================
RCS file: /repository/php-src/ext/date/tests/strftime_variation23.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 strftime_variation23.phpt
--- ext/date/tests/strftime_variation23.phpt	21 Jan 2009 10:51:03 -0000	1.1.2.2
+++ ext/date/tests/strftime_variation23.phpt	20 May 2009 16:54:30 -0000
@@ -29,8 +29,8 @@
 \*\*\* Testing strftime\(\) : usage variation \*\*\*
 
 -- Testing strftime\(\) function with float 12.3456789000e10 to timestamp --
-string\(\d*\)\s"(Jan|Mar)\s(19|11)\s(2038|5882)\s(03|00):(14|30):(07|00)"
+string\(\d*\)\s"Mar\s(26|11)\s(1935|5882)\s(04|00):(50|30):(16|00)"
 
 -- Testing strftime\(\) function with float -12.3456789000e10 to timestamp --
-string\(\d*\)\s"(Dec|Oct)\s(13|22)\s(1901|-1943)\s(20|23):(45|30):(52|00)"
+string\(\d*\)\s"(Oct|Dec)\s(08|13|22)\s(2004|1901|-1943)\s(19|20|23):(09|45|30):(44|52|00)"
 ===DONE===
Index: ext/ereg/tests/split_variation_004.phpt
===================================================================
RCS file: /repository/php-src/ext/ereg/tests/split_variation_004.phpt,v
retrieving revision 1.1.2.3
diff -u -r1.1.2.3 split_variation_004.phpt
--- ext/ereg/tests/split_variation_004.phpt	18 Nov 2008 17:55:07 -0000	1.1.2.3
+++ ext/ereg/tests/split_variation_004.phpt	19 May 2009 01:18:02 -0000
@@ -36,16 +36,8 @@
   string(9) "1 2 3 4 5"
 }
 Error: 8192 - Function split() is deprecated, %s(18)
-array(5) {
+array(1) {
   [0]=>
-  string(1) "1"
-  [1]=>
-  string(1) "2"
-  [2]=>
-  string(1) "3"
-  [3]=>
-  string(1) "4"
-  [4]=>
-  string(1) "5"
+  string(9) "1 2 3 4 5"
 }
 Done
Index: ext/ereg/tests/spliti_variation_004.phpt
===================================================================
RCS file: /repository/php-src/ext/ereg/tests/spliti_variation_004.phpt,v
retrieving revision 1.1.2.3
diff -u -r1.1.2.3 spliti_variation_004.phpt
--- ext/ereg/tests/spliti_variation_004.phpt	18 Nov 2008 17:55:07 -0000	1.1.2.3
+++ ext/ereg/tests/spliti_variation_004.phpt	19 May 2009 01:18:04 -0000
@@ -36,16 +36,8 @@
   string(9) "1 2 3 4 5"
 }
 Error: 8192 - Function spliti() is deprecated, %s(18)
-array(5) {
+array(1) {
   [0]=>
-  string(1) "1"
-  [1]=>
-  string(1) "2"
-  [2]=>
-  string(1) "3"
-  [3]=>
-  string(1) "4"
-  [4]=>
-  string(1) "5"
+  string(9) "1 2 3 4 5"
 }
 Done
Index: ext/standard/tests/array/array_fill_variation1.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/array/array_fill_variation1.phpt,v
retrieving revision 1.1.2.5
diff -u -r1.1.2.5 array_fill_variation1.phpt
--- ext/standard/tests/array/array_fill_variation1.phpt	17 Dec 2007 10:02:13 -0000	1.1.2.5
+++ ext/standard/tests/array/array_fill_variation1.phpt	18 May 2009 01:02:56 -0000
@@ -125,9 +125,9 @@
 }
 -- Iteration 3 --
 array(2) {
-  [2147483647]=>
+  [-1097262584]=>
   int(100)
-  [-2147483648]=>
+  [0]=>
   int(100)
 }
 -- Iteration 4 --
Index: ext/standard/tests/array/array_slice_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/array/array_slice_variation2.phpt,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 array_slice_variation2.phpt
--- ext/standard/tests/array/array_slice_variation2.phpt	14 Feb 2008 11:17:36 -0000	1.1.4.2
+++ ext/standard/tests/array/array_slice_variation2.phpt	19 May 2009 01:28:01 -0000
@@ -150,7 +150,15 @@
 }
 
 -- Iteration 7 --
-array(0) {
+array(4) {
+  ["one"]=>
+  int(1)
+  [0]=>
+  int(2)
+  ["three"]=>
+  int(3)
+  [1]=>
+  int(4)
 }
 
 -- Iteration 8 --
Index: ext/standard/tests/array/array_slice_variation3.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/array/array_slice_variation3.phpt,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 array_slice_variation3.phpt
--- ext/standard/tests/array/array_slice_variation3.phpt	14 Feb 2008 11:17:36 -0000	1.1.4.2
+++ ext/standard/tests/array/array_slice_variation3.phpt	19 May 2009 01:28:02 -0000
@@ -118,11 +118,7 @@
 }
 
 -- Iteration 7 --
-array(2) {
-  ["three"]=>
-  int(3)
-  [0]=>
-  int(4)
+array(0) {
 }
 
 -- Iteration 8 --
Index: ext/standard/tests/general_functions/gettype_settype_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/general_functions/gettype_settype_variation2.phpt,v
retrieving revision 1.1.2.3.2.1
diff -u -r1.1.2.3.2.1 gettype_settype_variation2.phpt
--- ext/standard/tests/general_functions/gettype_settype_variation2.phpt	17 Dec 2007 10:02:13 -0000	1.1.2.3.2.1
+++ ext/standard/tests/general_functions/gettype_settype_variation2.phpt	18 May 2009 01:21:11 -0000
@@ -447,7 +447,7 @@
 -- Iteration 51 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(-508130303)
 string(7) "integer"
 -- Iteration 52 --
 string(7) "integer"
@@ -457,7 +457,7 @@
 -- Iteration 53 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(1952002105)
 string(7) "integer"
 -- Iteration 54 --
 string(7) "integer"
@@ -477,7 +477,7 @@
 -- Iteration 57 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(343000682)
 string(7) "integer"
 -- Iteration 58 --
 string(6) "double"
@@ -852,7 +852,7 @@
 -- Iteration 51 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(-508130303)
 string(7) "integer"
 -- Iteration 52 --
 string(7) "integer"
@@ -862,7 +862,7 @@
 -- Iteration 53 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(1952002105)
 string(7) "integer"
 -- Iteration 54 --
 string(7) "integer"
@@ -882,7 +882,7 @@
 -- Iteration 57 --
 string(6) "double"
 bool(true)
-int(2147483647)
+int(343000682)
 string(7) "integer"
 -- Iteration 58 --
 string(6) "double"
Index: ext/standard/tests/math/decbin_variation1.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/decbin_variation1.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 decbin_variation1.phpt
--- ext/standard/tests/math/decbin_variation1.phpt	8 Jan 2009 21:20:10 -0000	1.1.2.2
+++ ext/standard/tests/math/decbin_variation1.phpt	19 May 2009 01:45:01 -0000
@@ -110,7 +110,7 @@
 string(32) "11111111111111111111111111111111"
 
 -- Iteration 6 --
-string(31) "1111111111111111111111111111111"
+string(1) "0"
 
 -- Iteration 7 --
 string(4) "1010"
@@ -119,7 +119,7 @@
 string(32) "11111111111111111111111111110110"
 
 -- Iteration 9 --
-string(31) "1111111111111111111111111111111"
+string(32) "10111110100110010001101000001000"
 
 -- Iteration 10 --
 string(1) "0"
Index: ext/standard/tests/math/decbin_variation1_64bit.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/decbin_variation1_64bit.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 decbin_variation1_64bit.phpt
--- ext/standard/tests/math/decbin_variation1_64bit.phpt	8 Jan 2009 21:20:11 -0000	1.1.2.2
+++ ext/standard/tests/math/decbin_variation1_64bit.phpt	19 May 2009 01:45:02 -0000
@@ -110,7 +110,7 @@
 string(63) "111111111111111111111111111111111111111111111111111111111111111"
 
 -- Iteration 6 --
-string(63) "111111111111111111111111111111111111111111111111111111111111111"
+string(1) "0"
 
 -- Iteration 7 --
 string(4) "1010"
Index: ext/standard/tests/math/dechex_variation1.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/dechex_variation1.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 dechex_variation1.phpt
--- ext/standard/tests/math/dechex_variation1.phpt	8 Jan 2009 21:20:10 -0000	1.1.2.2
+++ ext/standard/tests/math/dechex_variation1.phpt	19 May 2009 01:50:01 -0000
@@ -110,7 +110,7 @@
 string(8) "ffffffff"
 
 -- Iteration 6 --
-string(8) "7fffffff"
+string(1) "0"
 
 -- Iteration 7 --
 string(1) "a"
@@ -119,7 +119,7 @@
 string(8) "fffffff6"
 
 -- Iteration 9 --
-string(8) "7fffffff"
+string(8) "be991a08"
 
 -- Iteration 10 --
 string(1) "0"
Index: ext/standard/tests/math/dechex_variation1_64bit.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/dechex_variation1_64bit.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 dechex_variation1_64bit.phpt
--- ext/standard/tests/math/dechex_variation1_64bit.phpt	8 Jan 2009 21:20:11 -0000	1.1.2.2
+++ ext/standard/tests/math/dechex_variation1_64bit.phpt	19 May 2009 01:50:02 -0000
@@ -110,7 +110,7 @@
 string(16) "7fffffffffffffff"
 
 -- Iteration 6 --
-string(16) "7fffffffffffffff"
+string(1) "0"
 
 -- Iteration 7 --
 string(1) "a"
Index: ext/standard/tests/math/decoct_variation1.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/decoct_variation1.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 decoct_variation1.phpt
--- ext/standard/tests/math/decoct_variation1.phpt	8 Jan 2009 21:20:10 -0000	1.1.2.2
+++ ext/standard/tests/math/decoct_variation1.phpt	19 May 2009 01:52:41 -0000
@@ -111,7 +111,7 @@
 string(11) "37777777777"
 
 -- Iteration 6 --
-string(11) "17777777777"
+string(1) "0"
 
 -- Iteration 7 --
 string(2) "12"
@@ -120,7 +120,7 @@
 string(11) "37777777766"
 
 -- Iteration 9 --
-string(11) "17777777777"
+string(11) "27646215010"
 
 -- Iteration 10 --
 string(1) "0"
Index: ext/standard/tests/math/decoct_variation1_64bit.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/math/decoct_variation1_64bit.phpt,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 decoct_variation1_64bit.phpt
--- ext/standard/tests/math/decoct_variation1_64bit.phpt	8 Jan 2009 21:20:11 -0000	1.1.2.2
+++ ext/standard/tests/math/decoct_variation1_64bit.phpt	19 May 2009 01:52:42 -0000
@@ -111,7 +111,7 @@
 string(21) "777777777777777777777"
 
 -- Iteration 6 --
-string(21) "777777777777777777777"
+string(1) "0"
 
 -- Iteration 7 --
 string(2) "12"
Index: ext/standard/tests/strings/chunk_split_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/chunk_split_variation2.phpt,v
retrieving revision 1.2.2.5
diff -u -r1.2.2.5 chunk_split_variation2.phpt
--- ext/standard/tests/strings/chunk_split_variation2.phpt	24 May 2008 15:22:20 -0000	1.2.2.5
+++ ext/standard/tests/strings/chunk_split_variation2.phpt	18 May 2009 01:29:20 -0000
@@ -98,7 +98,9 @@
 Warning: chunk_split(): Chunk length should be greater than zero in %schunk_split_variation2.php on line %d
 bool(false)
 -- Iteration 3 --
-string(26) "This is chuklen variation*"
+
+Warning: chunk_split(): Chunk length should be greater than zero in %schunk_split_variation2.php on line %d
+bool(false)
 -- Iteration 4 --
 
 Warning: chunk_split(): Chunk length should be greater than zero in %schunk_split_variation2.php on line %d
Index: ext/standard/tests/strings/htmlspecialchars_decode_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/htmlspecialchars_decode_variation2.phpt,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 htmlspecialchars_decode_variation2.phpt
--- ext/standard/tests/strings/htmlspecialchars_decode_variation2.phpt	24 Dec 2007 18:09:50 -0000	1.2.2.4
+++ ext/standard/tests/strings/htmlspecialchars_decode_variation2.phpt	18 May 2009 01:35:41 -0000
@@ -102,7 +102,7 @@
 string(104) "<html>Roy&#039;s height > Sam&#039;s height. 13 < 15. 1111 & 0000 = 0000. " double quote string "</html>"
 
 -- Iteration 3 --
-string(94) "<html>Roy's height > Sam's height. 13 < 15. 1111 & 0000 = 0000. " double quote string "</html>"
+string(114) "<html>Roy&#039;s height > Sam&#039;s height. 13 < 15. 1111 & 0000 = 0000. &quot; double quote string &quot;</html>"
 
 -- Iteration 4 --
 string(114) "<html>Roy&#039;s height > Sam&#039;s height. 13 < 15. 1111 & 0000 = 0000. &quot; double quote string &quot;</html>"
Index: ext/standard/tests/strings/pack.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/pack.phpt,v
retrieving revision 1.1.2.6.2.1
diff -u -r1.1.2.6.2.1 pack.phpt
--- ext/standard/tests/strings/pack.phpt	17 Dec 2007 10:02:13 -0000	1.1.2.6.2.1
+++ ext/standard/tests/strings/pack.phpt	18 May 2009 01:42:20 -0000
@@ -145,11 +145,11 @@
 )
 Array
 (
-    [1] => 2147483647
+    [1] => 0
 )
 Array
 (
-    [1] => -2147483648
+    [1] => 0
 )
 Array
 (
@@ -185,7 +185,7 @@
 )
 Array
 (
-    [1] => 2147483647
+    [1] => 0
 )
 Array
 (
@@ -233,7 +233,7 @@
 )
 Array
 (
-    [1] => 2147483647
+    [1] => 0
 )
 Array
 (
@@ -305,7 +305,7 @@
 )
 Array
 (
-    [1] => 2147483647
+    [1] => 0
 )
 Array
 (
Index: ext/standard/tests/strings/sprintf_variation35.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/sprintf_variation35.phpt,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 sprintf_variation35.phpt
--- ext/standard/tests/strings/sprintf_variation35.phpt	17 Dec 2007 10:02:13 -0000	1.2.2.4
+++ ext/standard/tests/strings/sprintf_variation35.phpt	18 May 2009 01:52:00 -0000
@@ -71,17 +71,17 @@
 string(1) "x"
 
 -- Iteration 2 --
-string(8) "7fffffff"
-string(9) "7fffffffx"
-string(8) "7fffffff"
-string(1) "x"
-string(9) " 7fffffff"
-string(9) "7fffffff "
-string(9) "	7fffffff"
-string(9) "
-7fffffff"
-string(8) "7fffffff"
-string(30) "                      7fffffff"
+string(1) "1"
+string(2) "1x"
+string(1) "1"
+string(1) "x"
+string(2) " 1"
+string(2) "1 "
+string(2) "	1"
+string(2) "
+1"
+string(4) "   1"
+string(30) "                             1"
 string(10) "0-9A-Fa-f]"
 string(1) "x"
 
Index: ext/standard/tests/strings/sprintf_variation4.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/sprintf_variation4.phpt,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 sprintf_variation4.phpt
--- ext/standard/tests/strings/sprintf_variation4.phpt	17 Dec 2007 10:02:13 -0000	1.2.2.4
+++ ext/standard/tests/strings/sprintf_variation4.phpt	18 May 2009 01:48:00 -0000
@@ -71,17 +71,17 @@
 string(1) "d"
 
 -- Iteration 2 --
-string(10) "2147483647"
+string(1) "1"
 string(1) "d"
-string(10) "2147483647"
+string(1) "1"
 string(1) "d"
-string(11) " 2147483647"
-string(11) "2147483647 "
-string(11) "	2147483647"
-string(11) "
-2147483647"
-string(10) "2147483647"
-string(30) "                    2147483647"
+string(2) " 1"
+string(2) "1 "
+string(2) "	1"
+string(2) "
+1"
+string(4) "   1"
+string(30) "                             1"
 string(4) "0-9]"
 string(1) "d"
 
Index: ext/standard/tests/strings/sprintf_variation41.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/sprintf_variation41.phpt,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 sprintf_variation41.phpt
--- ext/standard/tests/strings/sprintf_variation41.phpt	17 Dec 2007 10:02:13 -0000	1.2.2.4
+++ ext/standard/tests/strings/sprintf_variation41.phpt	18 May 2009 01:55:40 -0000
@@ -75,17 +75,17 @@
 string(1) "u"
 
 -- Iteration 2 --
-string(10) "2147483647"
+string(1) "1"
 string(1) "u"
-string(10) "2147483647"
+string(1) "1"
 string(1) "u"
-string(11) " 2147483647"
-string(11) "2147483647 "
-string(11) "	2147483647"
-string(11) "
-2147483647"
-string(10) "2147483647"
-string(30) "                    2147483647"
+string(2) " 1"
+string(2) "1 "
+string(2) "	1"
+string(2) "
+1"
+string(4) "   1"
+string(30) "                             1"
 string(4) "0-9]"
 string(1) "u"
 
Index: ext/standard/tests/strings/str_split_variation2.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/str_split_variation2.phpt,v
retrieving revision 1.1.4.4
diff -u -r1.1.4.4 str_split_variation2.phpt
--- ext/standard/tests/strings/str_split_variation2.phpt	17 Dec 2007 10:02:13 -0000	1.1.4.4
+++ ext/standard/tests/strings/str_split_variation2.phpt	18 May 2009 02:02:00 -0000
@@ -110,10 +110,9 @@
 Warning: str_split(): The length of each segment must be greater than zero in %sstr_split_variation2.php on line %d
 bool(false)
 --Iteration 3 --
-array(1) {
-  [0]=>
-  string(23) "variation2:split_length"
-}
+
+Warning: str_split(): The length of each segment must be greater than zero in %sstr_split_variation2.php on line %d
+bool(false)
 --Iteration 4 --
 
 Warning: str_split(): The length of each segment must be greater than zero in %sstr_split_variation2.php on line %d
Index: ext/standard/tests/strings/vfprintf_variation15.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vfprintf_variation15.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 vfprintf_variation15.phpt
--- ext/standard/tests/strings/vfprintf_variation15.phpt	20 Jan 2009 14:19:31 -0000	1.1.2.1
+++ ext/standard/tests/strings/vfprintf_variation15.phpt	22 May 2009 15:38:50 -0000
@@ -65,9 +65,9 @@
 -- Iteration 1 --
 1234567 342391 0
 -- Iteration 2 --
-2147483647 u 1234 12345
+3755744308 u 1234 12345
 -- Iteration 3 --
-   1234000 2147483647 120
+   1234000 2450319192 120
 -- Iteration 4 --
 #1 0 $0 10
 -- Iteration 5 --
Index: ext/standard/tests/strings/vfprintf_variation16.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vfprintf_variation16.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 vfprintf_variation16.phpt
--- ext/standard/tests/strings/vfprintf_variation16.phpt	20 Jan 2009 14:19:31 -0000	1.1.2.1
+++ ext/standard/tests/strings/vfprintf_variation16.phpt	22 May 2009 15:42:31 -0000
@@ -87,8 +87,8 @@
 
 -- Iteration 1 --
 2 0 10 
-   123456 u 1234 2147483647
-   2147483647 2147483647 12345 
+   123456 u 1234 2820130816
+   2840207360 1177509888 12345 
    12 4294967284 4294843840 _3
    10 123456 2 0
 -- Iteration 2 --
Index: ext/standard/tests/strings/vfprintf_variation4.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vfprintf_variation4.phpt,v
retrieving revision 1.1.2.1
diff -u -r1.1.2.1 vfprintf_variation4.phpt
--- ext/standard/tests/strings/vfprintf_variation4.phpt	20 Jan 2009 14:19:31 -0000	1.1.2.1
+++ ext/standard/tests/strings/vfprintf_variation4.phpt	22 May 2009 15:36:21 -0000
@@ -89,7 +89,7 @@
 -- Iteration 1 --
 2 +0 10 
    123456 d -1234 1234
-   2147483647 200000     4000 22000000
+   -1474836480 200000     4000 22000000
    12345 12 -12 -123456
    10 123456 2 0
 -- Iteration 2 --
Index: ext/standard/tests/strings/vprintf_variation15.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vprintf_variation15.phpt,v
retrieving revision 1.2.2.2
diff -u -r1.2.2.2 vprintf_variation15.phpt
--- ext/standard/tests/strings/vprintf_variation15.phpt	19 Jan 2009 16:03:43 -0000	1.2.2.2
+++ ext/standard/tests/strings/vprintf_variation15.phpt	22 May 2009 16:10:00 -0000
@@ -58,11 +58,11 @@
 int(16)
 
 -- Iteration 2 --
-2147483647 u 1234 12345
+3755744308 u 1234 12345
 int(23)
 
 -- Iteration 3 --
-   1234000 2147483647 120
+   1234000 2450319192 120
 int(25)
 
 -- Iteration 4 --
Index: ext/standard/tests/strings/vprintf_variation15_64bit.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vprintf_variation15_64bit.phpt,v
retrieving revision 1.2.2.2
diff -u -r1.2.2.2 vprintf_variation15_64bit.phpt
--- ext/standard/tests/strings/vprintf_variation15_64bit.phpt	19 Jan 2009 16:03:44 -0000	1.2.2.2
+++ ext/standard/tests/strings/vprintf_variation15_64bit.phpt	22 May 2009 16:25:30 -0000
@@ -62,8 +62,8 @@
 int(24)
 
 -- Iteration 3 --
-   1234000 9223372036854775807 120
-int(34)
+   1234000 0          120
+int(25)
 
 -- Iteration 4 --
 #1 0 $0 10
Index: ext/standard/tests/strings/vprintf_variation16.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vprintf_variation16.phpt,v
retrieving revision 1.2.2.2
diff -u -r1.2.2.2 vprintf_variation16.phpt
--- ext/standard/tests/strings/vprintf_variation16.phpt	19 Jan 2009 16:03:43 -0000	1.2.2.2
+++ ext/standard/tests/strings/vprintf_variation16.phpt	22 May 2009 16:12:00 -0000
@@ -77,8 +77,8 @@
 
 -- Iteration 1 --
 2 0 10 
-   123456 u 1234 2147483647
-   2147483647 2147483647 12345 
+   123456 u 1234 2820130816
+   2840207360 1177509888 12345 
    12 4294967284 4294843840 _3
    10 123456 2 0
 int(115)
Index: ext/standard/tests/strings/vprintf_variation4.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vprintf_variation4.phpt,v
retrieving revision 1.2.2.2
diff -u -r1.2.2.2 vprintf_variation4.phpt
--- ext/standard/tests/strings/vprintf_variation4.phpt	19 Jan 2009 16:03:43 -0000	1.2.2.2
+++ ext/standard/tests/strings/vprintf_variation4.phpt	22 May 2009 15:52:41 -0000
@@ -79,10 +79,10 @@
 -- Iteration 1 --
 2 +0 10 
    123456 d -1234 1234
-   2147483647 200000     4000 22000000
+   -1474836480 200000     4000 22000000
    12345 12 -12 -123456
    10 123456 2 0
-int(111)
+int(112)
 
 -- Iteration 2 --
 0 +0 0 
Index: ext/standard/tests/strings/vsprintf_variation15.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vsprintf_variation15.phpt,v
retrieving revision 1.1.4.5
diff -u -r1.1.4.5 vsprintf_variation15.phpt
--- ext/standard/tests/strings/vsprintf_variation15.phpt	20 Jan 2009 14:19:31 -0000	1.1.4.5
+++ ext/standard/tests/strings/vsprintf_variation15.phpt	18 May 2009 02:11:11 -0000
@@ -55,7 +55,7 @@
 string(16) "1234567 342391 0"
 
 -- Iteration 2 --
-string(23) "2147483647 u 1234 12345"
+string(23) "3755744308 u 1234 12345"
 
 -- Iteration 3 --
 string(25) "   1234000 1012345    120"
Index: ext/standard/tests/strings/vsprintf_variation15_64bit.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vsprintf_variation15_64bit.phpt,v
retrieving revision 1.1.2.3
diff -u -r1.1.2.3 vsprintf_variation15_64bit.phpt
--- ext/standard/tests/strings/vsprintf_variation15_64bit.phpt	17 Dec 2007 10:02:13 -0000	1.1.2.3
+++ ext/standard/tests/strings/vsprintf_variation15_64bit.phpt	18 May 2009 02:16:32 -0000
@@ -58,7 +58,7 @@
 string(24) "12345678900 u 1234 12345"
 
 -- Iteration 3 --
-string(34) "   1234000 9223372036854775807 120"
+string(25) "   1234000 0          120"
 
 -- Iteration 4 --
 string(10) "#1 0 $0 10"
Index: ext/standard/tests/strings/vsprintf_variation16.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vsprintf_variation16.phpt,v
retrieving revision 1.1.4.4
diff -u -r1.1.4.4 vsprintf_variation16.phpt
--- ext/standard/tests/strings/vsprintf_variation16.phpt	17 Dec 2007 10:02:13 -0000	1.1.4.4
+++ ext/standard/tests/strings/vsprintf_variation16.phpt	18 May 2009 02:20:00 -0000
@@ -76,8 +76,8 @@
 
 -- Iteration 1 --
 string(115) "2 0 10 
-   123456 u 1234 2147483647
-   2147483647 2147483647 12345 
+   123456 u 1234 2820130816
+   2840207360 1177509888 12345 
    12 4294967284 4294843840 _3
    10 123456 2 0"
 
Index: ext/standard/tests/strings/vsprintf_variation4.phpt
===================================================================
RCS file: /repository/php-src/ext/standard/tests/strings/vsprintf_variation4.phpt,v
retrieving revision 1.1.4.4
diff -u -r1.1.4.4 vsprintf_variation4.phpt
--- ext/standard/tests/strings/vsprintf_variation4.phpt	17 Dec 2007 10:02:13 -0000	1.1.4.4
+++ ext/standard/tests/strings/vsprintf_variation4.phpt	18 May 2009 02:07:10 -0000
@@ -75,9 +75,9 @@
 *** Testing vsprintf() : int formats and non-integer values ***
 
 -- Iteration 1 --
-string(111) "2 +0 10 
+string(112) "2 +0 10 
    123456 d -1234 1234
-   2147483647 200000     4000 22000000
+   -1474836480 200000     4000 22000000
    12345 12 -12 -123456
    10 123456 2 0"
 
Index: ext/standard/tests/url/parse_url_variation_002.phpt
===================================================================
RCS file: ext/standard/tests/url/parse_url_variation_002.phpt
diff -N ext/standard/tests/url/parse_url_variation_002.phpt
--- ext/standard/tests/url/parse_url_variation_002.phpt	11 Apr 2008 14:35:05 -0000	1.1.4.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,182 +0,0 @@
---TEST--
-Test parse_url() function : usage variations  - unexpected type for arg 2.
---FILE--
-<?php
-/* Prototype  : proto mixed parse_url(string url, [int url_component])
- * Description: Parse a URL and return its components 
- * Source code: ext/standard/url.c
- * Alias to functions: 
- */
-
-function test_error_handler($err_no, $err_msg, $filename, $linenum, $vars) {
-	echo "Error: $err_no - $err_msg, $filename($linenum)\n";
-}
-set_error_handler('test_error_handler');
-
-echo "*** Testing parse_url() : usage variations ***\n";
-
-// Initialise function arguments not being substituted (if any)
-$url = 'http://secret:hideout@www.php.net:80/index.php?test=1&test2=char&test3=mixesCI#some_page_ref123';
-
-//get an unset variable
-$unset_var = 10;
-unset ($unset_var);
-
-//array of values to iterate over
-$values = array(
-
-      // float data
-      10.5,
-      -10.5,
-      10.1234567e10,
-      10.7654321E-10,
-      .5,
-
-      // array data
-      array(),
-      array(0),
-      array(1),
-      array(1, 2),
-      array('color' => 'red', 'item' => 'pen'),
-
-      // null data
-      NULL,
-      null,
-
-      // boolean data
-      true,
-      false,
-      TRUE,
-      FALSE,
-
-      // empty data
-      "",
-      '',
-
-      // string data
-      "string",
-      'string',
-
-      // object data
-      new stdclass(),
-
-      // undefined data
-      $undefined_var,
-
-      // unset data
-      $unset_var,
-);
-
-// loop through each element of the array for url_component
-
-foreach($values as $value) {
-      echo "\nArg value $value \n";
-      var_dump( parse_url($url, $value) );
-};
-
-echo "Done";
-?>
---EXPECTF--
-*** Testing parse_url() : usage variations ***
-Error: 8 - Undefined variable: undefined_var, %s(61)
-Error: 8 - Undefined variable: unset_var, %s(64)
-
-Arg value 10.5 
-Error: 2 - parse_url(): Invalid URL component identifier 10, %s(71)
-bool(false)
-
-Arg value -10.5 
-array(8) {
-  ["scheme"]=>
-  string(4) "http"
-  ["host"]=>
-  string(11) "www.php.net"
-  ["port"]=>
-  int(80)
-  ["user"]=>
-  string(6) "secret"
-  ["pass"]=>
-  string(7) "hideout"
-  ["path"]=>
-  string(10) "/index.php"
-  ["query"]=>
-  string(31) "test=1&test2=char&test3=mixesCI"
-  ["fragment"]=>
-  string(16) "some_page_ref123"
-}
-
-Arg value 101234567000 
-Error: 2 - parse_url(): Invalid URL component identifier %d, %s(71)
-bool(false)
-
-Arg value 1.07654321E-9 
-string(4) "http"
-
-Arg value 0.5 
-string(4) "http"
-
-Arg value Array 
-Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
-NULL
-
-Arg value Array 
-Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
-NULL
-
-Arg value Array 
-Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
-NULL
-
-Arg value Array 
-Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
-NULL
-
-Arg value Array 
-Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
-NULL
-
-Arg value  
-string(4) "http"
-
-Arg value  
-string(4) "http"
-
-Arg value 1 
-string(11) "www.php.net"
-
-Arg value  
-string(4) "http"
-
-Arg value 1 
-string(11) "www.php.net"
-
-Arg value  
-string(4) "http"
-
-Arg value  
-Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
-NULL
-
-Arg value  
-Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
-NULL
-
-Arg value string 
-Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
-NULL
-
-Arg value string 
-Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
-NULL
-Error: 4096 - Object of class stdClass could not be converted to string, %s(70)
-
-Arg value  
-Error: 2 - parse_url() expects parameter 2 to be long, object given, %s(71)
-NULL
-
-Arg value  
-string(4) "http"
-
-Arg value  
-string(4) "http"
-Done
\ No newline at end of file
Index: ext/standard/tests/url/parse_url_variation_002_32bit.phpt
===================================================================
RCS file: ext/standard/tests/url/parse_url_variation_002_32bit.phpt
diff -N ext/standard/tests/url/parse_url_variation_002_32bit.phpt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ ext/standard/tests/url/parse_url_variation_002_32bit.phpt	29 May 2009 01:12:00 -0000
@@ -0,0 +1,200 @@
+--TEST--
+Test parse_url() function : usage variations  - unexpected type for arg 2.
+--SKIPIF--
+<?php if (PHP_INT_SIZE != 4) die("skip this test is for 32bit platforms only"); ?>
+--FILE--
+<?php
+/* Prototype  : proto mixed parse_url(string url, [int url_component])
+ * Description: Parse a URL and return its components 
+ * Source code: ext/standard/url.c
+ * Alias to functions: 
+ */
+
+function test_error_handler($err_no, $err_msg, $filename, $linenum, $vars) {
+	echo "Error: $err_no - $err_msg, $filename($linenum)\n";
+}
+set_error_handler('test_error_handler');
+
+echo "*** Testing parse_url() : usage variations ***\n";
+
+// Initialise function arguments not being substituted (if any)
+$url = 'http://secret:hideout@www.php.net:80/index.php?test=1&test2=char&test3=mixesCI#some_page_ref123';
+
+//get an unset variable
+$unset_var = 10;
+unset ($unset_var);
+
+//array of values to iterate over
+$values = array(
+
+      // float data
+      10.5,
+      -10.5,
+      10.1234567e10,
+      10.7654321E-10,
+      .5,
+
+      // array data
+      array(),
+      array(0),
+      array(1),
+      array(1, 2),
+      array('color' => 'red', 'item' => 'pen'),
+
+      // null data
+      NULL,
+      null,
+
+      // boolean data
+      true,
+      false,
+      TRUE,
+      FALSE,
+
+      // empty data
+      "",
+      '',
+
+      // string data
+      "string",
+      'string',
+
+      // object data
+      new stdclass(),
+
+      // undefined data
+      $undefined_var,
+
+      // unset data
+      $unset_var,
+);
+
+// loop through each element of the array for url_component
+
+foreach($values as $value) {
+      echo "\nArg value $value \n";
+      var_dump( parse_url($url, $value) );
+};
+
+echo "Done";
+?>
+--EXPECTF--
+*** Testing parse_url() : usage variations ***
+Error: 8 - Undefined variable: undefined_var, %s(61)
+Error: 8 - Undefined variable: unset_var, %s(64)
+
+Arg value 10.5 
+Error: 2 - parse_url(): Invalid URL component identifier 10, %s(71)
+bool(false)
+
+Arg value -10.5 
+array(8) {
+  ["scheme"]=>
+  string(4) "http"
+  ["host"]=>
+  string(11) "www.php.net"
+  ["port"]=>
+  int(80)
+  ["user"]=>
+  string(6) "secret"
+  ["pass"]=>
+  string(7) "hideout"
+  ["path"]=>
+  string(10) "/index.php"
+  ["query"]=>
+  string(31) "test=1&test2=char&test3=mixesCI"
+  ["fragment"]=>
+  string(16) "some_page_ref123"
+}
+
+Arg value 101234567000 
+array(8) {
+  ["scheme"]=>
+  string(4) "http"
+  ["host"]=>
+  string(11) "www.php.net"
+  ["port"]=>
+  int(80)
+  ["user"]=>
+  string(6) "secret"
+  ["pass"]=>
+  string(7) "hideout"
+  ["path"]=>
+  string(10) "/index.php"
+  ["query"]=>
+  string(31) "test=1&test2=char&test3=mixesCI"
+  ["fragment"]=>
+  string(16) "some_page_ref123"
+}
+
+Arg value 1.07654321E-9 
+string(4) "http"
+
+Arg value 0.5 
+string(4) "http"
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value  
+string(4) "http"
+
+Arg value  
+string(4) "http"
+
+Arg value 1 
+string(11) "www.php.net"
+
+Arg value  
+string(4) "http"
+
+Arg value 1 
+string(11) "www.php.net"
+
+Arg value  
+string(4) "http"
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value string 
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value string 
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+Error: 4096 - Object of class stdClass could not be converted to string, %s(70)
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, object given, %s(71)
+NULL
+
+Arg value  
+string(4) "http"
+
+Arg value  
+string(4) "http"
+Done
\ No newline at end of file
Index: ext/standard/tests/url/parse_url_variation_002_64bit.phpt
===================================================================
RCS file: ext/standard/tests/url/parse_url_variation_002_64bit.phpt
diff -N ext/standard/tests/url/parse_url_variation_002_64bit.phpt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ ext/standard/tests/url/parse_url_variation_002_64bit.phpt	29 May 2009 01:14:01 -0000
@@ -0,0 +1,184 @@
+--TEST--
+Test parse_url() function : usage variations  - unexpected type for arg 2.
+--SKIPIF--
+<?php if (PHP_INT_SIZE != 8) die("skip this test is for 64bit platforms only"); ?>
+--FILE--
+<?php
+/* Prototype  : proto mixed parse_url(string url, [int url_component])
+ * Description: Parse a URL and return its components 
+ * Source code: ext/standard/url.c
+ * Alias to functions: 
+ */
+
+function test_error_handler($err_no, $err_msg, $filename, $linenum, $vars) {
+	echo "Error: $err_no - $err_msg, $filename($linenum)\n";
+}
+set_error_handler('test_error_handler');
+
+echo "*** Testing parse_url() : usage variations ***\n";
+
+// Initialise function arguments not being substituted (if any)
+$url = 'http://secret:hideout@www.php.net:80/index.php?test=1&test2=char&test3=mixesCI#some_page_ref123';
+
+//get an unset variable
+$unset_var = 10;
+unset ($unset_var);
+
+//array of values to iterate over
+$values = array(
+
+      // float data
+      10.5,
+      -10.5,
+      10.1234567e10,
+      10.7654321E-10,
+      .5,
+
+      // array data
+      array(),
+      array(0),
+      array(1),
+      array(1, 2),
+      array('color' => 'red', 'item' => 'pen'),
+
+      // null data
+      NULL,
+      null,
+
+      // boolean data
+      true,
+      false,
+      TRUE,
+      FALSE,
+
+      // empty data
+      "",
+      '',
+
+      // string data
+      "string",
+      'string',
+
+      // object data
+      new stdclass(),
+
+      // undefined data
+      $undefined_var,
+
+      // unset data
+      $unset_var,
+);
+
+// loop through each element of the array for url_component
+
+foreach($values as $value) {
+      echo "\nArg value $value \n";
+      var_dump( parse_url($url, $value) );
+};
+
+echo "Done";
+?>
+--EXPECTF--
+*** Testing parse_url() : usage variations ***
+Error: 8 - Undefined variable: undefined_var, %s(61)
+Error: 8 - Undefined variable: unset_var, %s(64)
+
+Arg value 10.5 
+Error: 2 - parse_url(): Invalid URL component identifier 10, %s(71)
+bool(false)
+
+Arg value -10.5 
+array(8) {
+  ["scheme"]=>
+  string(4) "http"
+  ["host"]=>
+  string(11) "www.php.net"
+  ["port"]=>
+  int(80)
+  ["user"]=>
+  string(6) "secret"
+  ["pass"]=>
+  string(7) "hideout"
+  ["path"]=>
+  string(10) "/index.php"
+  ["query"]=>
+  string(31) "test=1&test2=char&test3=mixesCI"
+  ["fragment"]=>
+  string(16) "some_page_ref123"
+}
+
+Arg value 101234567000 
+Error: 2 - parse_url(): Invalid URL component identifier %d, %s(71)
+bool(false)
+
+Arg value 1.07654321E-9 
+string(4) "http"
+
+Arg value 0.5 
+string(4) "http"
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value Array 
+Error: 2 - parse_url() expects parameter 2 to be long, array given, %s(71)
+NULL
+
+Arg value  
+string(4) "http"
+
+Arg value  
+string(4) "http"
+
+Arg value 1 
+string(11) "www.php.net"
+
+Arg value  
+string(4) "http"
+
+Arg value 1 
+string(11) "www.php.net"
+
+Arg value  
+string(4) "http"
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value string 
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+
+Arg value string 
+Error: 2 - parse_url() expects parameter 2 to be long, string given, %s(71)
+NULL
+Error: 4096 - Object of class stdClass could not be converted to string, %s(70)
+
+Arg value  
+Error: 2 - parse_url() expects parameter 2 to be long, object given, %s(71)
+NULL
+
+Arg value  
+string(4) "http"
+
+Arg value  
+string(4) "http"
+Done
\ No newline at end of file
